Subject: Invoice #1239469 (Canceled)
From: "LLPS Customer Service" <[email-masked]>
To: <[email-masked]>
Date: Thu, 17 Mar 2011 12:12:16 -0400

Robert Kilkenny,
I received a complaint from the BBB that you had received an invoice and/or posters that you did not order.  I do apologize for this.  I did call in to your company so I could speak with you directly but was only able to be forwarded to "Paul's" voicemail.  He may be relaying a message to you as well.  Our records do indicate that a phone call was made to the business on 2/28/11 and they spoke to Janice who must have indicated that the posters were to be sent to your attention.  The reps are supposed to speak to a decision maker but it sounds as though this may not have been the case.  Regardless, I have canceled out the invoice and you may keep any received posters at no cost.  Again, I do apologize for any inconvenience this has caused you.  Please feel free to contact me with any questions or concerns regarding this matter.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]